[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StopAfterVoteCount |

`#include <vigra/random_forest/rf_earlystopping.hxx>`

Inheritance diagram for StopAfterVoteCount:

List of all members.

## Public Member Functions
template<class WeightIter, class T, class C>
bool | after_prediction (WeightIter, int k, MultiArrayView< 2, T, C > const &prob, double)
| StopAfterVoteCount (double proportion)

## Detailed Description

Stop predicting after a certain amount of votes exceed certain proportion. case unweighted voting: stop if the leading class exceeds proportion * SB::tree_count_ case weighted votion: stop if the leading class exceeds proportion * msample_ * SB::tree_count_ ; (maximal number of votes possible in both cases)

## Constructor & Destructor Documentation

StopAfterVoteCount | ( | double | proportion | ) |

Constructor

Parameters:

  | proportion | specify proportion to be used.

## Member Function Documentation

template<class WeightIter, class T, class C>
bool after_prediction | ( | WeightIter | ,
|  | int | k,
|  | MultiArrayView< 2, T, C > const & | ,
|  | double |  |
| ) |  |  |

called after the prediction of a tree was added to the total prediction

Parameters:

  | WeightIter | Iterator to the weights delivered by current tree.
  | k | after kth tree
  | prob | Total probability array
  | totalCt | sum of probability array.

Reimplemented from StopBase.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_earlystopping.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)